@import url('https://fonts.googleapis.com/css2?family=Kodchasan:wght@500&display=swap');

*{
    font-family: 'Kodchasan', sans-serif;
    margin: 0;
    padding: 0;
    outline: 0;
    appearance: none;
    border: 0;
    text-decoration: none;
    list-style: none;
    box-sizing: border-box;
}
:root{
    --color-primary: #7380ec ;
    --color-danger: #ff7782 ;
    --color-success: #41f1b1 ;
    --color-warning: #ffbb55 ;
    --color-white: #fff ;
    --color-info-dark: #7d8da1 ;
    --color-info-light: #dce1eb ;
    --color-dark: #363949 ;
    --color-light: rgba(132, 139, 200, 0.18) ;
    --color-primary-variant: #111e88 ;
    --color-dark-variant: #677483 ;
    --color-background: #f8f9f6 ;

    --card-border-radius: 2rem;
    --border-radius-1: 0.4rem;
    --border-radius-2: 0.8rem;
    --border-radius-3: 1.2rem;

    --card-padding: 1.8rem;
    --padding-1: 1.2rem;

    --box-shadow: 0 2rem 3rem var(--color-light);
}
html{
    font-size: 16px;
}
body{
    width: 100vm;
    height: 100vh; 
    font-size: 0.88rem;
    background: var(--color-background);
    user-select: none;
    overflow-x: hidden;
    color: var(--color-dark);
} 
.neo{
    position: relative;
    background: var(--clr);
    color: var(--clr);
    text-decoration: none;
    text-transform: uppercase;
    /* font-size: 1.5em; */
    letter-spacing: 0.1em;
    padding: 10px 30px;
    transition: 0.5;
    border-radius: 5px;
} 
.neo:hover{
    letter-spacing: 0.25em;
    background: var(--clr);
    /* color: var(--clr); */
    box-shadow: 0 0 35px var(--clr);
}
.neo::before{
    content: '';
    position: absolute;
    inset: 2px;
    background: #fff;
    border-radius: 5px;
}
.neo span{
    position: relative;
    z-index: 1;
}
.neo i{
    position: absolute;
    inset: 0;
    display: block;
}
.neo i::before{
    content: '';
    position: absolute;
    top: -3.5px;
    left: 80%;
    width: 10px;
    height: 5px;
    border: 2px solid var(--clr);
    background: #fff;
    transform: translateX(-50%);
    transition: 0.5s;
}
a:hover i::before{
    width: 20px;
    left: 20%;
}
.neo i::after{
    content: '';
    position: absolute;
    bottom: -3.5px;
    left: 20%;
    width: 10px;
    height: 5px;
    border: 2px solid var(--clr);
    background: #fff;
    transform: translateX(-50%);
    transition: 0.5s;
}
a:hover i::after{
    width: 20px;
    left: 80%;
}

.container{
    display: grid;
    width: 96%;
    margin: 0 auto;
    gap: 1.8rem;
    grid-template-columns: 14rem auto 23rem;

}
a{
    color: var(--color-dark);
}
img {
    display: block;
    width: 100%;
}
.profile-photo{
    width: 2.8rem;
    height: 2.8rem;
    border-radius: 50%;
    overflow: hidden;
}
h1{
    font-weight: 800;
    font-size: 1.8rem;
}
h2{
    font-size: 1.4rem;
}
h3{
    font-size: 0.97rem;
}
h4{
    font-size: 0.8rem;
}
h5{
    font-size: 0.77rem;
}
small{
    font-size: 0.75rem;
}
/* .profile-photo{
    width: 2.8rem;
    height: 2.8rem;
    border-radius: 50%;
    overflow: hidden;
} */
.text-muted{
    color: var(--color-info-dark);
}
p{
    color: var(--color-dark-variant);
}
b{
    color: var(--color-dark);
}
.primary{
    color: var(--color-primary);
}
.danger{
    color: var(--color-danger);
}
.success{
    color: var(--color-success);
}
.warning{
    color: var(--color-warning);
}
main{
    margin-top: 1.4rem;
}
main .date{
    display: inline-block;
    background: var(--color-light);
    border-radius: var(--border-radius-1);
    margin-top: 1rem;
    padding: 0.5rem 1.6rem;
}

main .date input[type="date"]{
    background: transparent;
    color: var(--color-dark);
}
main .insights{
    display: grid;
    grid-template-columns: repeat(3,1fr);
    gap: 1.6rem;
}
main .insights > div {
    background: var(--color-white);
    padding: var(--card-padding);
    border-radius: var(--card-border-radius);
    margin-top: 1rem;
    box-shadow: var(--box-shadow);
    transition: all 300ms ease;
}
main .insights > div:hover{
    box-shadow: none;
}
main .insights > div i{
    background: var(--color-primary);
    padding: 0.5rem;
    border-radius: 50%;
    color: var(--color-white);
    font-size: 2rem;
}
main .insights > div.expenses i{
    background: var(--color-danger);
}
main .insights > div.income i{
    background: var(--color-success);
}
main .insights > div .middle{
    display: flex;
    align-items: center;
    justify-content: space-between;
}
main .insights h3{
    margin: 1rem 0 0.6erm;
    font: 1rem;
}
main .insights .progress{
    position: relative;
    width: 92px;
    height: 92px;
    border-radius: 50%;
}
main .insights svg{
    width: 7rem;
    height: 7rem;
}
main .insights svg circle{
    fill: none;
    stroke: var(--color-primary);
    stroke-width: 14;
    stroke-linecap: round;
    transform: translate(5px, 5px);
    stroke-dasharray: 110;
    stroke-dashoffset: 92;
}
main .insights .sales svg circle{
    stroke-dashoffset: -30;
    stroke-dasharray: 200;
}
main .insights .expenses svg circle{
    stroke-dashoffset: 20;
    stroke-dasharray: 80;
}
main .insights .income svg circle{
    stroke-dashoffset: 35;
    stroke-dasharray: 110;
}
main .insights .progress .number{
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}
main .insights small{
    margin-top: 1.6rem;
    display: block;
}
aside{
    height: 100vh;
    /* background: gray; */
}
aside .top{
    /* background: #fff; */
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-top: 1.4rem;
}
aside .logo{
    display: flex;
    gap: 0.8rem;
}
aside .logo img{
    width: 3rem;
    height: 2rem;
}
aside .close{
    display: none;
}
aside .sidebar{
    display: none;
}
/*==================================================================*/
aside .sidebar{
    /* background: var(--color-white); */
    display: flex;
    flex-direction: column;
    height: 86vh;
    position: relative;
    top: 3rem;
}
aside h3{
    font-weight: 500;
}
aside .sidebar a{
    display: flex;
    color: var(--color-info-dark);
    margin-left: 2rem;
    gap: 1rem;
    align-items: center;
    position: relative;
    height: 3.7rem;
    transition: all 300ms ease;
}
aside .sidebar a i{
    font-size: 1.2rem;
    transition: all 300ms ease;
}
aside .sidebar a:last-child{
    position: absolute;
    bottom: 2rem;
    width: 100%;
}
aside .sidebar a.active{
    background: var(--color-light);
    color: var(--color-primary);
    margin-left: 0;
}
aside .sidebar a.active:before{
    content: "";
    width: 6px;
    height: 100%;
    background: var(--color-primary);
}
aside .sidebar a.active i{
    color: var(--color-primary);
    margin-left: calc(1rem - 3px);
}
aside .sidebar a:hover {
    color: var(--color-primary);
}
aside .sidebar a:hover i{
    margin-left: 1rem;
}
/* ================== Main Table===================== */
main .recent-orders{
    margin-top: 2rem;
}
main .recent-orders h2 {
    margin-bottom: 0.8rem;
}
main .recent-orders table{
    background: var(--color-white);
    width: 100%;
    border-radius: var(--card-border-radius);
    padding: var(--card-padding);
    text-align: center;
    box-shadow: var(--box-shadow);
    transition: all 300ms ease;
}
main .recent-orders table:hover{
    box-shadow: none;
}
main table tbody td{
    height: 2.8rem;
    border-bottom: 1px solid var(--color-light);
    color: var(--color-dark-variant);
}
main table tbody tr:last-child td{
    border: none;
}
main .recent-orders a{
    text-align: center;
    display: block;
    margin: 1rem auto;
    color: var(--color-primary);
}

/* =============RIGHT================================ */
.right{
    margin-top: 1.4rem;
}
.right .top{
    display: flex;
    justify-content: end;
    gap: 2rem;
}
.right .top button{
    display: none;
}
.right .theme-toggler{
    background: var(--color-light);
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 1.6rem;
    width: 4.2rem;
    cursor: pointer;
    border-radius: var(--border-radius-1);
}
.right .theme-toggler i{
    font-size: 1.2rem;
    width: 50%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}
.right .theme-toggler i.active{
    background: var(--color-primary);
    color: white;
    border-radius: var(--border-radius-1);
}
.right .top .profile{
    display: flex;
    gap: 2rem;
    text-align: right;
}
/* ================================================== */
/* ================Recent updates =================== */
.right .recent-updates{
    margin-top: 1rem;
}
.right .recent-updates h2 {
    margin-bottom: 0.8rem;
}
.right .recent-updates .updates{
    background: var(--color-white);
    padding: var(--card-padding);
    border-radius: var(--card-border-radius);
    box-shadow: var(--box-shadow);
    transition: all 300ms ease;
}
.right .recent-updates .updates:hover{
    box-shadow: none;
}
.right .recent-updates .updates .update{
    display: grid;
    grid-template-columns: 2.6rem auto;
    gap: 1rem;
    margin-bottom: 1rem;
}
/* ====================================================== */
@media screen and (max-width: 1200px) {
    .container{
        width: 94%;
        grid-template-columns: 7rem auto 23rem;
    }
    aside .logo h2{
        display: none;
    }
    aside .sidebar h3{
        display: none;
    }
    aside .sidebar a{
        width: 5.6rem;
    }
    aside .sidebar a:last-child{
        position: relative;
        margin-top: 1.8rem;
    }
    main .insights{
        grid-template-columns: 1fr;
        gap: 0;
    }
    main .recent-orders{
        width: 94%;
        position: absolute;
        left: 50%;
        transform: translateX(-50%);
        margin: 2rem 0 0 8.8rem;
    }
    main .recent-orders table{
        width: 83vw;
    }
    /* main table thead tr th:last-child,
    main table thead tr th:first-child{
        display: none;
    }
    main table tbody tr td:last-child,
    main table tbody tr td:first-child{
        display: none;
    } */

}
/* ====================================================== */
@media screen and (max-width: 500px) {
    .container{
        width: 100%;
        grid-template-columns: 1fr;
    }
    aside{
        position: fixed;
        left: -100%;
        background: var(--color-white);
        width: 18rem;
        z-index: 3;
        box-shadow: 1rem 3rem 4rem var(--color-light);
        height: 100vh;
        padding-right: var(--card-padding);
        display: none;
        animation: showMenu 400ms ease forwards;
    }
    @keyframes showMenu {
        to{
            left: 0;
        }
    }
    aside .logo{
        margin-left:  1rem;
    }
    aside .logo h2{
        display: inline;
    }
    aside .sidebar h3{
        display: inline;
    }
    aside .sidebar a{
        width: 100%;
        height: 3.4rem;
    }
    aside .sidebar a:last-child{
        position: absolute;
        bottom: 5rem;
    }
    aside .close{
        display: inline-block;
        cursor: pointer;
    }
    main{
        margin-top: 8rem;
        padding: 0 1rem;
    }
    main .recent-orders{
        position: relative;
        margin: 3rem 0 0 0;
        width: 100%;
    }
    main .recent-orders table{
        width: 100%;
        margin: 0;
    }
    .right{
        width: 94%;
        margin: 0 auto 4rem;
    }
    .right .top{
        position: fixed;
        top: 0;
        left: 0;
        align-items: center;
        padding: 0 0.8rem;
        height: 4.6rem;
        background: var(--color-white);
        width: 100%;
        margin: 0;
        z-index: 2;
        box-shadow: 0 1rem 1rem var(--color-light);
    }
    .rigth .top .theme-toggler{
        width: 4.4rem;
        position: absolute;
        left: 66%;
    }
    .right .profile .info{
        display: none;
    }
    .right .top button{
        display: inline-block;
        background: transparent;
        cursor: pointer;
        color: var(--color-dark);
        position: absolute;
        left: 1rem;
    }
    .right .top button i {
        font-size: 2rem;
    }

}
